searchNodes=[{"doc":"Entry point for interacting with pages. Pages are built around Pages.Driver.t/0 structs. Drivers hold state about the current connection, implement @behavior Pages.Driver and must implement the String.Chars protocol to transform themselves into HTML. Available drivers Pages.Driver.Conn.t/0 - Given a Plug.Conn.t/0 , this driver will be used. Pages.Driver.LiveView.t/0 - Given a Plug.Conn.t/0 with inner data that appears as if a Phoenix.LiveView is configured, this driver will be used.","ref":"Pages.html","title":"Pages","type":"module"},{"doc":"","ref":"Pages.html#click/3","title":"Pages.click/3","type":"function"},{"doc":"Instantiate a new page.","ref":"Pages.html#new/1","title":"Pages.new/1","type":"function"},{"doc":"Submits a form without specifying any attributes.","ref":"Pages.html#submit_form/2","title":"Pages.submit_form/2","type":"function"},{"doc":"Fills in a form with the attributes and submits it.","ref":"Pages.html#submit_form/4","title":"Pages.submit_form/4","type":"function"},{"doc":"Fills in a form with the attributes without submitting it.","ref":"Pages.html#update_form/4","title":"Pages.update_form/4","type":"function"},{"doc":"","ref":"Pages.html#visit/2","title":"Pages.visit/2","type":"function"},{"doc":"","ref":"Pages.html#t:attrs_t/0","title":"Pages.attrs_t/0","type":"type"},{"doc":"","ref":"Pages.html#t:html_t/0","title":"Pages.html_t/0","type":"type"},{"doc":"","ref":"Pages.html#t:page_type_t/0","title":"Pages.page_type_t/0","type":"type"},{"doc":"Constructs CSS selectors via Elixir data structures.","ref":"Pages.Css.html","title":"Pages.Css","type":"module"},{"doc":"When given a string, returns the string. Otherwise, accepts a keyword list and converts it into a string. Examples iex&gt; Pages.Css.query(test_role: &quot;wheat&quot;, class: &quot;math&quot;) &quot;[test-role='wheat'][class='math']&quot; iex&gt; Pages.Css.query(p: [test_role: &quot;wheat&quot;, class: &quot;math&quot;]) &quot;p[test-role='wheat'][class='math']&quot; iex&gt; Pages.Css.query([[p: [id: &quot;blue&quot;, data_favorite: true]], :div, [class: &quot;class&quot;, test_role: &quot;role&quot;]]) &quot;p[id='blue'][data-favorite] div [class='class'][test-role='role']&quot;","ref":"Pages.Css.html#query/1","title":"Pages.Css.query/1","type":"function"},{"doc":"","ref":"Pages.Css.html#t:selector/0","title":"Pages.Css.selector/0","type":"type"},{"doc":"Heplful test functions for HTML. Mostly delegates to Floki","ref":"Pages.Html.html","title":"Pages.Html","type":"module"},{"doc":"","ref":"Pages.Html.html#attr/4","title":"Pages.Html.attr/4","type":"function"},{"doc":"","ref":"Pages.Html.html#data/4","title":"Pages.Html.data/4","type":"function"},{"doc":"","ref":"Pages.Html.html#find/4","title":"Pages.Html.find/4","type":"function"},{"doc":"","ref":"Pages.Html.html#form_fields/2","title":"Pages.Html.form_fields/2","type":"function"},{"doc":"","ref":"Pages.Html.html#inspect_html/2","title":"Pages.Html.inspect_html/2","type":"function"},{"doc":"","ref":"Pages.Html.html#meta_tags/1","title":"Pages.Html.meta_tags/1","type":"function"},{"doc":"","ref":"Pages.Html.html#normalize/1","title":"Pages.Html.normalize/1","type":"function"},{"doc":"","ref":"Pages.Html.html#parse/1","title":"Pages.Html.parse/1","type":"function"},{"doc":"","ref":"Pages.Html.html#parse_doc/1","title":"Pages.Html.parse_doc/1","type":"function"},{"doc":"","ref":"Pages.Html.html#pretty/1","title":"Pages.Html.pretty/1","type":"function"},{"doc":"","ref":"Pages.Html.html#text/3","title":"Pages.Html.text/3","type":"function"},{"doc":"","ref":"Pages.Html.html#tid/3","title":"Pages.Html.tid/3","type":"function"},{"doc":"","ref":"Pages.Html.html#t:attr/0","title":"Pages.Html.attr/0","type":"type"},{"doc":"","ref":"Pages.Html.html#t:html/0","title":"Pages.Html.html/0","type":"type"},{"doc":"","ref":"Pages.Html.html#t:query/0","title":"Pages.Html.query/0","type":"type"},{"doc":"","ref":"Pages.Html.html#t:scope/0","title":"Pages.Html.scope/0","type":"type"},{"doc":"Functions that transform Floki HTML","ref":"Pages.HtmlTransformer.html","title":"Pages.HtmlTransformer","type":"module"},{"doc":"","ref":"Pages.HtmlTransformer.html#filter_by_text/2","title":"Pages.HtmlTransformer.filter_by_text/2","type":"function"},{"doc":"","ref":"Pages.HtmlTransformer.html#to_attribute_values/2","title":"Pages.HtmlTransformer.to_attribute_values/2","type":"function"},{"doc":"","ref":"Pages.HtmlTransformer.html#to_text/1","title":"Pages.HtmlTransformer.to_text/1","type":"function"},{"doc":"Defines types and behaviours that page drivers must implement.","ref":"Pages.Driver.html","title":"Pages.Driver","type":"behaviour"},{"doc":"Click an element within a page.","ref":"Pages.Driver.html#c:click/3","title":"Pages.Driver.click/3","type":"callback"},{"doc":"Submit a form targeted by the given selector.","ref":"Pages.Driver.html#c:submit_form/2","title":"Pages.Driver.submit_form/2","type":"callback"},{"doc":"Fills in a form with the attributes and submits it.","ref":"Pages.Driver.html#c:submit_form/4","title":"Pages.Driver.submit_form/4","type":"callback"},{"doc":"Fills in a form with the attributes without submitting it.","ref":"Pages.Driver.html#c:update_form/4","title":"Pages.Driver.update_form/4","type":"callback"},{"doc":"Navigate directly to a page.","ref":"Pages.Driver.html#c:visit/2","title":"Pages.Driver.visit/2","type":"callback"},{"doc":"","ref":"Pages.Driver.html#t:t/0","title":"Pages.Driver.t/0","type":"type"},{"doc":"A page driver for interacting with Phoenix controllers.","ref":"Pages.Driver.Conn.html","title":"Pages.Driver.Conn","type":"module"},{"doc":"","ref":"Pages.Driver.Conn.html#new/1","title":"Pages.Driver.Conn.new/1","type":"function"},{"doc":"Callback implementation for Pages.Driver.visit/2 .","ref":"Pages.Driver.Conn.html#visit/2","title":"Pages.Driver.Conn.visit/2","type":"function"},{"doc":"","ref":"Pages.Driver.Conn.html#t:t/0","title":"Pages.Driver.Conn.t/0","type":"type"},{"doc":"A page driver for interacting with Phoenix.LiveView pages.","ref":"Pages.Driver.LiveView.html","title":"Pages.Driver.LiveView","type":"module"},{"doc":"Callback implementation for Pages.Driver.click/3 .","ref":"Pages.Driver.LiveView.html#click/3","title":"Pages.Driver.LiveView.click/3","type":"function"},{"doc":"","ref":"Pages.Driver.LiveView.html#new/1","title":"Pages.Driver.LiveView.new/1","type":"function"},{"doc":"","ref":"Pages.Driver.LiveView.html#new/2","title":"Pages.Driver.LiveView.new/2","type":"function"},{"doc":"Callback implementation for Pages.Driver.submit_form/2 .","ref":"Pages.Driver.LiveView.html#submit_form/2","title":"Pages.Driver.LiveView.submit_form/2","type":"function"},{"doc":"Callback implementation for Pages.Driver.submit_form/4 .","ref":"Pages.Driver.LiveView.html#submit_form/4","title":"Pages.Driver.LiveView.submit_form/4","type":"function"},{"doc":"Callback implementation for Pages.Driver.update_form/4 .","ref":"Pages.Driver.LiveView.html#update_form/4","title":"Pages.Driver.LiveView.update_form/4","type":"function"},{"doc":"Go to the given URL, assuming that it will be a new LiveView","ref":"Pages.Driver.LiveView.html#visit/2","title":"Pages.Driver.LiveView.visit/2","type":"function"},{"doc":"","ref":"Pages.Driver.LiveView.html#t:t/0","title":"Pages.Driver.LiveView.t/0","type":"type"},{"doc":"A Page Object pattern for interacting with websites. This library can be used to facilitate testing of Phoenix controllers and LiveView pages in the context of ExUnit, and may be used as the basis of other drivers.","ref":"readme.html","title":"Pages","type":"extras"},{"doc":"def deps do [ { :pages , &quot;~&gt; 0.1.0&quot; , only : :test } ] end","ref":"readme.html#installation","title":"Pages - Installation","type":"extras"},{"doc":"Copyright 2022 synchronal.dev Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]